Extending Qt Creator Manual | ProjectConfiguration

Extending Qt Creator Manual 4.5.2

# ProjectConfiguration Class

(ProjectExplorer::ProjectConfiguration)

Inherited By: | ProjectExplorer::BuildStep

- List of all members, including inherited members

## Public Functions

| ~ProjectConfiguration() = default
QString | displayName() const
virtual bool | fromMap(const QVariantMap &map)
Core::Id | id() const
virtual bool | isActive() const = 0
Utils::MacroExpander * | macroExpander()
const Utils::MacroExpander * | macroExpander() const
virtual Project * | project() const = 0
void | setDefaultDisplayName(const QString &name)
void | setDisplayName(const QString &name)
void | setToolTip(const QString &text)
virtual QVariantMap | toMap() const
QString | toolTip() const
bool | usesDefaultDisplayName() const

## Signals

void | displayNameChanged()
void | toolTipChanged()

## Protected Functions

| ProjectConfiguration(QObject *parent)
void | copyFrom(const ProjectConfiguration *source)
void | initialize(Core::Id id)

## Member Function Documentation

### `[protected]` ProjectConfiguration::ProjectConfiguration(QObject *parent)

Default constructs an instance of ProjectConfiguration.

### `[default]` ProjectConfiguration::~ProjectConfiguration()

Destroys the instance of ProjectConfiguration.

### `[protected]` void ProjectConfiguration::copyFrom(const ProjectConfiguration *source)

### QString ProjectConfiguration::displayName() const

See also setDisplayName().

### `[signal]` void ProjectConfiguration::displayNameChanged()

### `[virtual]` bool ProjectConfiguration::fromMap(const QVariantMap &map)

### Core::Id ProjectConfiguration::id() const

### `[protected]` void ProjectConfiguration::initialize(Core::Id id)

### `[pure virtual]` bool ProjectConfiguration::isActive() const

### Utils::MacroExpander *ProjectConfiguration::macroExpander()

### const Utils::MacroExpander *ProjectConfiguration::macroExpander() const

### `[pure virtual]` Project *ProjectConfiguration::project() const

### void ProjectConfiguration::setDefaultDisplayName(const QString &name)

### void ProjectConfiguration::setDisplayName(const QString &name)

See also displayName().

### void ProjectConfiguration::setToolTip(const QString &text)

See also toolTip().

### `[virtual]` QVariantMap ProjectConfiguration::toMap() const

### QString ProjectConfiguration::toolTip() const

See also setToolTip().

### `[signal]` void ProjectConfiguration::toolTipChanged()

### bool ProjectConfiguration::usesDefaultDisplayName() const